#!/bin/sh

PATH=/bin:/usr/bin:/sbin:/usr/sbin
. /usr/lib/libmodcgi.sh

auto_chk=''; man_chk=''
preload_chk=''; noload_chk=''
client_chk=''; server_chk=''
tcp_chk=''; udp_chk='';
keep_chk=''; comp_chk='';

if [ "$OPENVPN_ENABLED" = "yes" ]; then auto_chk=' checked'; else man_chk=' checked'; fi
if [ "$OPENVPN_PRELOAD_ON_STARTUP" = "yes" ]; then preload_chk=' checked'; else noload_chk=' checked'; fi
if [ "$OPENVPN_MODE" = "server" ]; then server_chk=' checked'; else client_chk=' checked'; fi
if [ "$OPENVPN_PROTO" = "udp" ]; then udp_chk=' checked'; else tcp_chk=' checked'; fi
if [ "$OPENVPN_KEEPALIVE" = "yes" ]; then keep_chk=' checked'; fi

sec_begin '$(lang de:"Starttyp" en:"Start type")'

cat << EOF
<p>$(lang de:"Starttyp" en:"Start type")<br />
<input id="e1" type="radio" name="enabled" value="yes"$auto_chk><label for="e1"> $(lang de:"Automatisch" en:"Automatic")</label> <input id="e2" type="radio" name="enabled" value="no"$man_chk><label for="e2"> $(lang de:"Manuell" en:"Manual")</label>
</p>
EOF

sec_end
sec_begin '$(lang de:"Vorrausladeeinstellungen" en:"Preload settings")'

cat << EOF
<p>$(lang de:"Beim Start der Fritz!Box openvpn laden?" en:"Load openvpn on system startup?")<br />
<input id="l1" type="radio" name="preload_on_startup" value="yes"$preload_chk><label for="l1"> $(lang de:"Beim Systemstart" en:"On system startup")</label> <input id="l2" type="radio" name="preload_on_startup" value="no"$noload_chk><label for="l2"> $(lang de:"Beim start von openvpn" en:"At the openvpn start")</label>
</p>
<p>$(lang de:"Domainname oder IP des Servers auf dem die openvpn-Datei liegt" en:"Server hostname or IP of the openvpn-hoster"):<br />
$(lang de:"Wird ben&ouml;tigt, um die Erreichbarkeit des Servers zu pr&uuml;fen" en:"This is needed to test if the server is online"):<br />
<input id="remote" type="text" name="preload_server" value="$(httpd -e "$OPENVPN_PRELOAD_SERVER")"></p>
<p>$(lang de:"URL der openvpn-Datei" en:"URL of the openvpn file"):<br />
<input id="remote" type="text" name="preload_url" value="$(httpd -e "$OPENVPN_PRELOAD_URL")"></p>
<p>$(lang de:"MD5-Pr&uuml;fsumme der Datei" en:"md5-checksum of the openvpn file"):<br />
<input id="remote" type="text" name="preload_md5" value="$(httpd -e "$OPENVPN_PRELOAD_MD5")"></p>
EOF

sec_end
sec_begin '$(lang de:"Einstellungen" en:"Configuration")'

cat << EOF
<p>$(lang de:"OpenVPN als Server oder als Client?" en:"Use OpenVPN as a server or a client?"): 
<input id="m1" type="radio" name="mode" value="server" $server_chk><label for="m1"> $(lang de:"Server" en:"server")</label>&nbsp;<input id="m2" type="radio" name="mode" value="client" $client_chk><label for="m2"> $(lang de:"Client" en:"client")</label>
</p>
<p>$(lang de:"UDP oder TCP Protokoll?" en:"Protocol type UDP or TCP?"): 
<input id="m3" type="radio" name="proto" value="udp"$udp_chk><label for="m3"> $(lang de:"UDP" en:"UDP")</label>&nbsp;<input id="m4" type="radio" name="proto" value="tcp"$tcp_chk><label for="m4"> $(lang de:"TCP" en:"TCP")</label>
</p>
<p>$(lang de:"Port des Servers" en:"Server port"): <input id="port" type="text" name="port" value="$(httpd -e "$OPENVPN_PORT")"></p>
<p>$(lang de:"Domainname oder IP des Servers (wird nur von Client ben&ouml;tigt)" en:"Server hostname or IP (only required for clients)"):<br />
<input id="remote" type="text" name="remote" value="$(httpd -e "$OPENVPN_REMOTE")"></p>
<p><input type="hidden" name="keepalive" value="yes"><input id="k1" type="checkbox" name="keepalive" value="yes"$keep_chk><label for="k1"> $(lang de:"Verbindung aufrechterhalten" en:"Keep connection")</label></p>
EOF

sec_end
sec_begin '$(lang de:"IP-Adressen" en:"IP-adresses")'

cat << EOF
<p><h2>$(lang de:"IP der virtuellen Netzwerkkarten" en:"Virtuall interface IP-adresses"):</h2>
$(lang de:"Server-IP" en:"Server-IP"):<br />
<input id="vip_server" type="text" name="vip_server" value="$(httpd -e "$OPENVPN_VIP_SERVER")"><br />
$(lang de:"Client-IP" en:"Client-IP"):<br />
<input id="vip_client" type="text" name="vip_client" value="$(httpd -e "$OPENVPN_VIP_CLIENT")"></p>
<p><h2>$(lang de:"IP-Routing einstellen" en:"Configure IP-routing"):</h2>
<small>$(lang de:"Netz und Subnetzmaske, getrennt durch ein Leerzeichen" en:"Network and subnetmask whitespace seperated")</small><br />
$(lang de:"Server-Netzwerk" en:"Server-network"):<br />
<input id="subnet_server" type="text" name="subnet_server" value="$(httpd -e "$OPENVPN_SUBNET_SERVER")"><br />
$(lang de:"Client-Netzwerk" en:"Client-network"):<br />
<input id="subnet_client" type="text" name="subnet_client" value="$(httpd -e "$OPENVPN_SUBNET_CLIENT")"></p>
EOF

sec_end
